> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a LinkedIn Attachment

> Download a file attachment from a LinkedIn message conversation.

`1 credit per result` · `credit_ratio 1` · [Credit costs](/v1/api/credit-costs)

No per-action quota · [How limits work](/v1/limits/how-limits-work)

<Tip>
  To run LinkedIn actions, you must first create an identity and connect a LinkedIn
  account, either using our [Chrome
  Extension](https://chromewebstore.google.com/detail/edges-labs/bippgnolleoecnhaninlfmdapbakklpf),
  [username/password login](/v1/api/linkedin/authentication), or [Managed
  Accounts](/v1/identities/modes) to run without connecting an account.
</Tip>

<Note>
  To download attachments, first use the [Extract LinkedIn Messages](/v1/api/actions/linkedin-extract-messages) action to get the attachment URLs.
  Make sure to use the same `identity_id` for both actions.
</Note>

<Note>
  `url` must be a LinkedIn DMS attachment URL. Accepted hosts: `www.linkedin.com`, `linkedin.com`, and `media.licdn.com` (path `/dms/…`).
</Note>


## OpenAPI

````yaml v1/api/actions.json get /actions/linkedin-download-attachment
openapi: 3.1.0
info:
  title: ED Automation External API
  description: This is the External API documentation for ED Automation
  version: dev
servers:
  - url: https://api.edges.run/v1
security:
  - XApiKeyAuth: []
paths:
  /actions/linkedin-download-attachment:
    get:
      tags:
        - actions / linkedin
      summary: Download LinkedIn attachment
      operationId: getLinkedIndAttachment
      parameters:
        - schema:
            type:
              - string
              - 'null'
            format: uuid
          in: query
          name: identity_id
          required: false
          description: Identity ID
        - schema:
            type: string
            format: uri
            pattern: ^https:\/\/(www\.linkedin|media\.licdn|linkedin)\.com\/dms\/
          in: query
          name: url
          required: true
          description: URL to download
      responses:
        '200':
          description: Returns a file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.